Tells event_base to stop dispatching events

- « EventBase::reInit

- EventBuffer »

- PHP Manual
- EventBase
- Tells event_base to stop dispatching events

# EventBase::stop

(PECL event >= 1.2.6-beta)

EventBase::stop — Tells event_base to stop dispatching events

### Description

public EventBase::stop(): bool

Tells event_base to stop dispatching events

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- EventBase::exit() - Stop dispatching events
- EventBase::gotStop() - Checks if the event loop was told to exit